diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -7772,11 +7804,11 @@ static int mov_read_saiz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_saio(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_saio(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    uint64_t *auxiliary_offsets;
-    MOVEncryptionIndex *encryption_index;
-    MOVStreamContext *sc;
+    uint64_t* auxiliary_offsets;
+    MOVEncryptionIndex* encryption_index;
+    MOVStreamContext* sc;
     int i, ret;
     unsigned int version, entry_count, aux_info_type, aux_info_param;
     unsigned int alloc_size = 0;
@@ -7809,20 +7841,23 @@ static int mov_read_saio(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                 av_log(c->fc, AV_LOG_DEBUG, "Ignoring saio box with non-zero aux_info_type_parameter\n");
                 return 0;
             }
-        } else {
+        }
+        else {
             // Didn't see 'schm' or 'tenc', so this isn't encrypted.
-            if ((aux_info_type == MKBETAG('c','e','n','c') ||
-                 aux_info_type == MKBETAG('c','e','n','s') ||
-                 aux_info_type == MKBETAG('c','b','c','1') ||
-                 aux_info_type == MKBETAG('c','b','c','s')) &&
+            if ((aux_info_type == MKBETAG('c', 'e', 'n', 'c') ||
+                aux_info_type == MKBETAG('c', 'e', 'n', 's') ||
+                aux_info_type == MKBETAG('c', 'b', 'c', '1') ||
+                aux_info_type == MKBETAG('c', 'b', 'c', 's')) &&
                 aux_info_param == 0) {
                 av_log(c->fc, AV_LOG_ERROR, "Saw encrypted saio without schm/tenc\n");
                 return AVERROR_INVALIDDATA;
-            } else {
+            }
+            else {
                 return 0;
             }
         }
-    } else if (!sc->cenc.default_encrypted_sample) {
+    }
+    else if (!sc->cenc.default_encrypted_sample) {
         // Didn't see 'schm' or 'tenc', so this isn't encrypted.
         return 0;
     }
@@ -7844,7 +7879,8 @@ static int mov_read_saio(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
         if (version == 0) {
             encryption_index->auxiliary_offsets[i] = avio_rb32(pb);
-        } else {
+        }
+        else {
             encryption_index->auxiliary_offsets[i] = avio_rb64(pb);
         }
         if (c->frag_index.current >= 0) {
@@ -7867,26 +7903,26 @@ static int mov_read_saio(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_pssh(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_pssh(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVEncryptionInitInfo *info, *old_init_info;
-    uint8_t **key_ids;
-    AVStream *st;
-    const AVPacketSideData *old_side_data;
-    uint8_t *side_data, *extra_data;
+    AVEncryptionInitInfo* info, * old_init_info;
+    uint8_t** key_ids;
+    AVStream* st;
+    const AVPacketSideData* old_side_data;
+    uint8_t* side_data, * extra_data;
     size_t side_data_size;
     int ret = 0;
     unsigned int version, kid_count, extra_data_size, alloc_size = 0;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     version = avio_r8(pb); /* version */
     avio_rb24(pb);  /* flags */
 
     info = av_encryption_init_info_alloc(/* system_id_size */ 16, /* num_key_ids */ 0,
-                                         /* key_id_size */ 16, /* data_size */ 0);
+        /* key_id_size */ 16, /* data_size */ 0);
     if (!info)
         return AVERROR(ENOMEM);
 
@@ -7905,7 +7941,7 @@ static int mov_read_pssh(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         for (unsigned int i = 0; i < kid_count && !pb->eof_reached; i++) {
             unsigned int min_kid_count = FFMIN(FFMAX(i + 1, 1024), kid_count);
             key_ids = av_fast_realloc(info->key_ids, &alloc_size,
-                                      min_kid_count * sizeof(*key_ids));
+                min_kid_count * sizeof(*key_ids));
             if (!key_ids) {
                 ret = AVERROR(ENOMEM);
                 goto finish;
@@ -7953,19 +7989,20 @@ static int mov_read_pssh(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     // If there is existing initialization data, append to the list.
     old_side_data = av_packet_side_data_get(st->codecpar->coded_side_data, st->codecpar->nb_coded_side_data,
-                                            AV_PKT_DATA_ENCRYPTION_INIT_INFO);
+        AV_PKT_DATA_ENCRYPTION_INIT_INFO);
     if (old_side_data) {
         old_init_info = av_encryption_init_info_get_side_data(old_side_data->data, old_side_data->size);
         if (old_init_info) {
             // Append to the end of the list.
-            for (AVEncryptionInitInfo *cur = old_init_info;; cur = cur->next) {
+            for (AVEncryptionInitInfo* cur = old_init_info;; cur = cur->next) {
                 if (!cur->next) {
                     cur->next = info;
                     break;
                 }
             }
             info = old_init_info;
-        } else {
+        }
+        else {
             // Assume existing side-data will be valid, so the only error we could get is OOM.
             ret = AVERROR(ENOMEM);
             goto finish;
@@ -7978,9 +8015,9 @@ static int mov_read_pssh(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         goto finish;
     }
     if (!av_packet_side_data_add(&st->codecpar->coded_side_data,
-                                 &st->codecpar->nb_coded_side_data,
-                                 AV_PKT_DATA_ENCRYPTION_INIT_INFO,
-                                 side_data, side_data_size, 0))
+        &st->codecpar->nb_coded_side_data,
+        AV_PKT_DATA_ENCRYPTION_INIT_INFO,
+        side_data, side_data_size, 0))
         av_free(side_data);
 
 finish:
@@ -7988,14 +8025,14 @@ finish:
     return ret;
 }
 
-static int mov_read_schm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_schm(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     if (sc->pseudo_stream_id != 0) {
@@ -8019,15 +8056,15 @@ static int mov_read_schm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_tenc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_tenc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int version, pattern, is_protected, iv_size;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     if (sc->pseudo_stream_id != 0) {
@@ -8090,17 +8127,17 @@ static int mov_read_tenc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_dfla(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dfla(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int last, type, size, ret;
     uint8_t buf[4];
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if ((uint64_t)atom.size > (1<<30) || atom.size < 42)
+    if ((uint64_t)atom.size > (1 << 30) || atom.size < 42)
         return AVERROR_INVALIDDATA;
 
     /* Check FlacSpecificBox version. */
@@ -8130,7 +8167,7 @@ static int mov_read_dfla(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int cenc_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryptionInfo *sample, uint8_t *input, int size)
+static int cenc_scheme_decrypt(MOVContext* c, MOVStreamContext* sc, AVEncryptionInfo* sample, uint8_t* input, int size)
 {
     int i, ret;
     int bytes_of_protected_data;
@@ -8183,7 +8220,7 @@ static int cenc_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     return 0;
 }
 
-static int cbc1_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryptionInfo *sample, uint8_t *input, int size)
+static int cbc1_scheme_decrypt(MOVContext* c, MOVStreamContext* sc, AVEncryptionInfo* sample, uint8_t* input, int size)
 {
     int i, ret;
     int num_of_encrypted_blocks;
@@ -8207,7 +8244,7 @@ static int cbc1_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     /* whole-block full sample encryption */
     if (!sample->subsample_count) {
         /* decrypt the whole packet */
-        av_aes_crypt(sc->cenc.aes_ctx, input, input, size/16, iv, 1);
+        av_aes_crypt(sc->cenc.aes_ctx, input, input, size / 16, iv, 1);
         return 0;
     }
 
@@ -8227,7 +8264,7 @@ static int cbc1_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
         size -= sample->subsamples[i].bytes_of_clear_data;
 
         /* decrypt the encrypted bytes */
-        num_of_encrypted_blocks = sample->subsamples[i].bytes_of_protected_data/16;
+        num_of_encrypted_blocks = sample->subsamples[i].bytes_of_protected_data / 16;
         if (num_of_encrypted_blocks > 0) {
             av_aes_crypt(sc->cenc.aes_ctx, input, input, num_of_encrypted_blocks, iv, 1);
         }
@@ -8243,10 +8280,10 @@ static int cbc1_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     return 0;
 }
 
-static int cens_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryptionInfo *sample, uint8_t *input, int size)
+static int cens_scheme_decrypt(MOVContext* c, MOVStreamContext* sc, AVEncryptionInfo* sample, uint8_t* input, int size)
 {
     int i, ret, rem_bytes;
-    uint8_t *data;
+    uint8_t* data;
 
     if (!sc->cenc.aes_ctr) {
         /* initialize the cipher */
@@ -8268,7 +8305,8 @@ static int cens_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
         /* decrypt the whole packet */
         av_aes_ctr_crypt(sc->cenc.aes_ctr, input, input, size);
         return 0;
-    } else if (!sample->crypt_byte_block && !sample->skip_byte_block) {
+    }
+    else if (!sample->crypt_byte_block && !sample->skip_byte_block) {
         av_log(c->fc, AV_LOG_ERROR, "pattern encryption is not present in 'cens' scheme\n");
         return AVERROR_INVALIDDATA;
     }
@@ -8287,14 +8325,14 @@ static int cens_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
         data = input;
         rem_bytes = sample->subsamples[i].bytes_of_protected_data;
         while (rem_bytes > 0) {
-            if (rem_bytes < 16*sample->crypt_byte_block) {
+            if (rem_bytes < 16 * sample->crypt_byte_block) {
                 break;
             }
-            av_aes_ctr_crypt(sc->cenc.aes_ctr, data, data, 16*sample->crypt_byte_block);
-            data += 16*sample->crypt_byte_block;
-            rem_bytes -= 16*sample->crypt_byte_block;
-            data += FFMIN(16*sample->skip_byte_block, rem_bytes);
-            rem_bytes -= FFMIN(16*sample->skip_byte_block, rem_bytes);
+            av_aes_ctr_crypt(sc->cenc.aes_ctr, data, data, 16 * sample->crypt_byte_block);
+            data += 16 * sample->crypt_byte_block;
+            rem_bytes -= 16 * sample->crypt_byte_block;
+            data += FFMIN(16 * sample->skip_byte_block, rem_bytes);
+            rem_bytes -= FFMIN(16 * sample->skip_byte_block, rem_bytes);
         }
         input += sample->subsamples[i].bytes_of_protected_data;
         size -= sample->subsamples[i].bytes_of_protected_data;
@@ -8308,11 +8346,11 @@ static int cens_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     return 0;
 }
 
-static int cbcs_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryptionInfo *sample, uint8_t *input, int size)
+static int cbcs_scheme_decrypt(MOVContext* c, MOVStreamContext* sc, AVEncryptionInfo* sample, uint8_t* input, int size)
 {
     int i, ret, rem_bytes;
     uint8_t iv[16];
-    uint8_t *data;
+    uint8_t* data;
 
     if (!sc->cenc.aes_ctx) {
         /* initialize the cipher */
@@ -8331,9 +8369,10 @@ static int cbcs_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     if (!sample->subsample_count) {
         /* decrypt the whole packet */
         memcpy(iv, sample->iv, 16);
-        av_aes_crypt(sc->cenc.aes_ctx, input, input, size/16, iv, 1);
+        av_aes_crypt(sc->cenc.aes_ctx, input, input, size / 16, iv, 1);
         return 0;
-    } else if (!sample->crypt_byte_block && !sample->skip_byte_block) {
+    }
+    else if (!sample->crypt_byte_block && !sample->skip_byte_block) {
         av_log(c->fc, AV_LOG_ERROR, "pattern encryption is not present in 'cbcs' scheme\n");
         return AVERROR_INVALIDDATA;
     }
@@ -8353,14 +8392,14 @@ static int cbcs_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
         data = input;
         rem_bytes = sample->subsamples[i].bytes_of_protected_data;
         while (rem_bytes > 0) {
-            if (rem_bytes < 16*sample->crypt_byte_block) {
+            if (rem_bytes < 16 * sample->crypt_byte_block) {
                 break;
             }
             av_aes_crypt(sc->cenc.aes_ctx, data, data, sample->crypt_byte_block, iv, 1);
-            data += 16*sample->crypt_byte_block;
-            rem_bytes -= 16*sample->crypt_byte_block;
-            data += FFMIN(16*sample->skip_byte_block, rem_bytes);
-            rem_bytes -= FFMIN(16*sample->skip_byte_block, rem_bytes);
+            data += 16 * sample->crypt_byte_block;
+            rem_bytes -= 16 * sample->crypt_byte_block;
+            data += FFMIN(16 * sample->skip_byte_block, rem_bytes);
+            rem_bytes -= FFMIN(16 * sample->skip_byte_block, rem_bytes);
         }
         input += sample->subsamples[i].bytes_of_protected_data;
         size -= sample->subsamples[i].bytes_of_protected_data;
@@ -8374,23 +8413,27 @@ static int cbcs_scheme_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryption
     return 0;
 }
 
-static int cenc_decrypt(MOVContext *c, MOVStreamContext *sc, AVEncryptionInfo *sample, uint8_t *input, int size)
+static int cenc_decrypt(MOVContext* c, MOVStreamContext* sc, AVEncryptionInfo* sample, uint8_t* input, int size)
 {
-    if (sample->scheme == MKBETAG('c','e','n','c') && !sample->crypt_byte_block && !sample->skip_byte_block) {
+    if (sample->scheme == MKBETAG('c', 'e', 'n', 'c') && !sample->crypt_byte_block && !sample->skip_byte_block) {
         return cenc_scheme_decrypt(c, sc, sample, input, size);
-    } else if (sample->scheme == MKBETAG('c','b','c','1') && !sample->crypt_byte_block && !sample->skip_byte_block) {
+    }
+    else if (sample->scheme == MKBETAG('c', 'b', 'c', '1') && !sample->crypt_byte_block && !sample->skip_byte_block) {
         return cbc1_scheme_decrypt(c, sc, sample, input, size);
-    } else if (sample->scheme == MKBETAG('c','e','n','s')) {
+    }
+    else if (sample->scheme == MKBETAG('c', 'e', 'n', 's')) {
         return cens_scheme_decrypt(c, sc, sample, input, size);
-    } else if (sample->scheme == MKBETAG('c','b','c','s')) {
+    }
+    else if (sample->scheme == MKBETAG('c', 'b', 'c', 's')) {
         return cbcs_scheme_decrypt(c, sc, sample, input, size);
-    } else {
+    }
+    else {
         av_log(c->fc, AV_LOG_ERROR, "invalid encryption scheme\n");
         return AVERROR_INVALIDDATA;
     }
 }
 
-static MOVFragmentStreamInfo *get_frag_stream_info_from_pkt(MOVFragmentIndex *frag_index, AVPacket *pkt, int id)
+static MOVFragmentStreamInfo* get_frag_stream_info_from_pkt(MOVFragmentIndex* frag_index, AVPacket* pkt, int id)
 {
     int current = frag_index->current;
 
@@ -8401,7 +8444,7 @@ static MOVFragmentStreamInfo *get_frag_stream_info_from_pkt(MOVFragmentIndex *fr
     if (current >= 0 && current < frag_index->nb_items) {
         if (frag_index->item[current].moof_offset < pkt->pos &&
             (current + 1 == frag_index->nb_items ||
-             frag_index->item[current + 1].moof_offset > pkt->pos))
+                frag_index->item[current + 1].moof_offset > pkt->pos))
             return get_frag_stream_info(frag_index, current, id);
     }
 
@@ -8415,11 +8458,11 @@ static MOVFragmentStreamInfo *get_frag_stream_info_from_pkt(MOVFragmentIndex *fr
     return get_frag_stream_info(frag_index, current, id);
 }
 
-static int cenc_filter(MOVContext *mov, AVStream* st, MOVStreamContext *sc, AVPacket *pkt, int current_index)
+static int cenc_filter(MOVContext* mov, AVStream* st, MOVStreamContext* sc, AVPacket* pkt, int current_index)
 {
-    MOVFragmentStreamInfo *frag_stream_info;
-    MOVEncryptionIndex *encryption_index;
-    AVEncryptionInfo *encrypted_sample;
+    MOVFragmentStreamInfo* frag_stream_info;
+    MOVEncryptionIndex* encryption_index;
+    AVEncryptionInfo* encrypted_sample;
     int encrypted_index, ret;
 
     frag_stream_info = get_frag_stream_info_from_pkt(&mov->frag_index, pkt, sc->id);
@@ -8431,11 +8474,13 @@ static int cenc_filter(MOVContext *mov, AVStream* st, MOVStreamContext *sc, AVPa
             if (frag_stream_info->encryption_index) {
                 encrypted_index = current_index - frag_stream_info->index_base;
                 encryption_index = frag_stream_info->encryption_index;
-            } else {
+            }
+            else {
                 encryption_index = sc->cenc.encryption_index;
             }
         }
-    } else {
+    }
+    else {
         encryption_index = sc->cenc.encryption_index;
     }
 
@@ -8455,7 +8500,8 @@ static int cenc_filter(MOVContext *mov, AVStream* st, MOVStreamContext *sc, AVPa
         if (!encryption_index->nb_encrypted_samples) {
             // Full-sample encryption with default settings.
             encrypted_sample = sc->cenc.default_encrypted_sample;
-        } else if (encrypted_index >= 0 && encrypted_index < encryption_index->nb_encrypted_samples) {
+        }
+        else if (encrypted_index >= 0 && encrypted_index < encryption_index->nb_encrypted_samples) {
             // Per-sample setting override.
             encrypted_sample = encryption_index->encrypted_samples[encrypted_index];
             if (!encrypted_sample) {
@@ -8470,9 +8516,10 @@ static int cenc_filter(MOVContext *mov, AVStream* st, MOVStreamContext *sc, AVPa
 
         if (mov->decryption_key) {
             return cenc_decrypt(mov, sc, encrypted_sample, pkt->data, pkt->size);
-        } else {
+        }
+        else {
             size_t size;
-            uint8_t *side_data = av_encryption_info_add_side_data(encrypted_sample, &size);
+            uint8_t* side_data = av_encryption_info_add_side_data(encrypted_sample, &size);
             if (!side_data)
                 return AVERROR(ENOMEM);
             ret = av_packet_add_side_data(pkt, AV_PKT_DATA_ENCRYPTION_INFO, side_data, size);
@@ -8485,19 +8532,19 @@ static int cenc_filter(MOVContext *mov, AVStream* st, MOVStreamContext *sc, AVPa
     return 0;
 }
 
-static int mov_read_dops(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dops(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     const int OPUS_SEEK_PREROLL_MS = 80;
     int ret;
-    AVStream *st;
+    AVStream* st;
     size_t size;
     uint16_t pre_skip;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if ((uint64_t)atom.size > (1<<30) || atom.size < 11)
+    if ((uint64_t)atom.size > (1 << 30) || atom.size < 11)
         return AVERROR_INVALIDDATA;
 
     /* Check OpusSpecificBox version. */
@@ -8512,8 +8559,8 @@ static int mov_read_dops(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if ((ret = ff_alloc_extradata(st->codecpar, size)) < 0)
         return ret;
 
-    AV_WL32A(st->codecpar->extradata, MKTAG('O','p','u','s'));
-    AV_WL32A(st->codecpar->extradata + 4, MKTAG('H','e','a','d'));
+    AV_WL32A(st->codecpar->extradata, MKTAG('O', 'p', 'u', 's'));
+    AV_WL32A(st->codecpar->extradata + 4, MKTAG('H', 'e', 'a', 'd'));
     AV_WB8(st->codecpar->extradata + 8, 1); /* OpusHead version */
     avio_read(pb, st->codecpar->extradata + 9, size - 9);
 
@@ -8528,15 +8575,19 @@ static int mov_read_dops(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     st->codecpar->initial_padding = pre_skip;
     st->codecpar->seek_preroll = av_rescale_q(OPUS_SEEK_PREROLL_MS,
-                                              (AVRational){1, 1000},
-                                              (AVRational){1, 48000});
+        (AVRational) {
+        1, 1000
+    },
+        (AVRational) {
+        1, 48000
+    });
 
     return 0;
 }
 
-static int mov_read_dmlp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dmlp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     unsigned format_info;
     int channel_assignment, channel_assignment1, channel_assignment2;
     int ratebits;
@@ -8544,14 +8595,14 @@ static int mov_read_dmlp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     if (atom.size < 10)
         return AVERROR_INVALIDDATA;
 
     format_info = avio_rb32(pb);
 
-    ratebits            = (format_info >> 28) & 0xF;
+    ratebits = (format_info >> 28) & 0xF;
     channel_assignment1 = (format_info >> 15) & 0x1F;
     channel_assignment2 = format_info & 0x1FFF;
     if (channel_assignment2)
@@ -8569,16 +8620,16 @@ static int mov_read_dmlp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_dvcc_dvvc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dvcc_dvvc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     uint8_t buf[ISOM_DVCC_DVVC_SIZE];
     int ret;
     int64_t read_size = atom.size;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     // At most 24 bytes
     read_size = FFMIN(read_size, ISOM_DVCC_DVVC_SIZE);
@@ -8589,15 +8640,15 @@ static int mov_read_dvcc_dvvc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ff_isom_parse_dvcc_dvvc(c->fc, st, buf, read_size);
 }
 
-static int mov_read_lhvc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_lhvc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    uint8_t *buf;
+    AVStream* st;
+    uint8_t* buf;
     int ret, old_size, num_arrays;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     if (!st->codecpar->extradata_size)
         // TODO: handle lhvC when present before hvcC
@@ -8621,7 +8672,7 @@ static int mov_read_lhvc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     num_arrays = buf[5];
     old_size = st->codecpar->extradata_size;
     atom.size -= 8 /* account for mov_realloc_extradata offsetting */
-               + 6 /* lhvC bytes before the arrays*/;
+        + 6 /* lhvC bytes before the arrays*/;
 
     ret = mov_realloc_extradata(st->codecpar, atom);
     if (ret < 0) {
@@ -8638,10 +8689,10 @@ static int mov_read_lhvc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_kind(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_kind(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVFormatContext *ctx = c->fc;
-    AVStream *st = NULL;
+    AVFormatContext* ctx = c->fc;
+    AVStream* st = NULL;
     AVBPrint scheme_buf, value_buf;
     int64_t scheme_str_len = 0, value_str_len = 0;
     int version, flags, ret = AVERROR_BUG;
@@ -8653,24 +8704,24 @@ static int mov_read_kind(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     version = avio_r8(pb);
-    flags   = avio_rb24(pb);
-    size   -= 4;
+    flags = avio_rb24(pb);
+    size -= 4;
 
     if (version != 0 || flags != 0) {
         av_log(ctx, AV_LOG_ERROR,
-               "Unsupported 'kind' box with version %d, flags: %x",
-               version, flags);
+            "Unsupported 'kind' box with version %d, flags: %x",
+            version, flags);
         return AVERROR_INVALIDDATA;
     }
 
     av_bprint_init(&scheme_buf, 0, AV_BPRINT_SIZE_UNLIMITED);
-    av_bprint_init(&value_buf,  0, AV_BPRINT_SIZE_UNLIMITED);
+    av_bprint_init(&value_buf, 0, AV_BPRINT_SIZE_UNLIMITED);
 
     if ((scheme_str_len = ff_read_string_to_bprint_overwrite(pb, &scheme_buf,
-                                                             size)) < 0) {
+        size)) < 0) {
         ret = scheme_str_len;
         goto cleanup;
     }
@@ -8686,7 +8737,7 @@ static int mov_read_kind(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     size -= scheme_str_len + 1;
 
     if ((value_str_len = ff_read_string_to_bprint_overwrite(pb, &value_buf,
-                                                            size)) < 0) {
+        size)) < 0) {
         ret = value_str_len;
         goto cleanup;
     }
@@ -8698,10 +8749,10 @@ static int mov_read_kind(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     av_log(ctx, AV_LOG_TRACE,
-           "%s stream %d KindBox(scheme: %s, value: %s)\n",
-           av_get_media_type_string(st->codecpar->codec_type),
-           st->index,
-           scheme_buf.str, value_buf.str);
+        "%s stream %d KindBox(scheme: %s, value: %s)\n",
+        av_get_media_type_string(st->codecpar->codec_type),
+        st->index,
+        scheme_buf.str, value_buf.str);
 
     for (int i = 0; ff_mov_track_kind_table[i].scheme_uri; i++) {
         const struct MP4TrackKindMapping map = ff_mov_track_kind_table[i];
@@ -8722,14 +8773,14 @@ static int mov_read_kind(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 cleanup:
 
     av_bprint_finalize(&scheme_buf, NULL);
-    av_bprint_finalize(&value_buf,  NULL);
+    av_bprint_finalize(&value_buf, NULL);
 
     return ret;
 }
 
-static int mov_read_SA3D(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_SA3D(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     AVChannelLayout ch_layout = { 0 };
     int ret, i, version, type;
     int ambisonic_order, channel_order, normalization, channel_count;
@@ -8754,7 +8805,7 @@ static int mov_read_SA3D(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     type = avio_r8(pb);
     if (type & 0x7f) {
         av_log(c->fc, AV_LOG_WARNING,
-               "Unsupported ambisonic type %d\n", type & 0x7f);
+            "Unsupported ambisonic type %d\n", type & 0x7f);
         return 0;
     }
     non_diegetic_channels = (type >> 7) * 2; // head_locked_stereo
@@ -8764,24 +8815,24 @@ static int mov_read_SA3D(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     channel_order = avio_r8(pb);
     if (channel_order) {
         av_log(c->fc, AV_LOG_WARNING,
-               "Unsupported channel_order %d\n", channel_order);
+            "Unsupported channel_order %d\n", channel_order);
         return 0;
     }
 
     normalization = avio_r8(pb);
     if (normalization) {
         av_log(c->fc, AV_LOG_WARNING,
-               "Unsupported normalization %d\n", normalization);
+            "Unsupported normalization %d\n", normalization);
         return 0;
     }
 
     channel_count = avio_rb32(pb);
     if (ambisonic_order < 0 || ambisonic_order > 31 ||
         channel_count != ((ambisonic_order + 1LL) * (ambisonic_order + 1LL) +
-                           non_diegetic_channels)) {
+            non_diegetic_channels)) {
         av_log(c->fc, AV_LOG_ERROR,
-               "Invalid number of channels (%d / %d)\n",
-               channel_count, ambisonic_order);
+            "Invalid number of channels (%d / %d)\n",
+            channel_count, ambisonic_order);
         return 0;
     }
     ambi_channels = channel_count - non_diegetic_channels;
@@ -8795,7 +8846,7 @@ static int mov_read_SA3D(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
         if (channel >= channel_count) {
             av_log(c->fc, AV_LOG_ERROR, "Invalid channel index (%d / %d)\n",
-                   channel, ambisonic_order);
+                channel, ambisonic_order);
             av_channel_layout_uninit(&ch_layout);
             return 0;
         }
@@ -8817,9 +8868,9 @@ static int mov_read_SA3D(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_SAND(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_SAND(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int version;
 
     if (c->fc->nb_streams < 1)
@@ -8843,7 +8894,7 @@ static int mov_read_SAND(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int rb_size(AVIOContext *pb, int64_t *value, int size)
+static int rb_size(AVIOContext* pb, int64_t* value, int size)
 {
     if (size == 0)
         *value = 0;
@@ -8857,12 +8908,13 @@ static int rb_size(AVIOContext *pb, int64_t *value, int size)
         *value = avio_rb64(pb);
         if (*value < 0)
             return -1;
-    } else
+    }
+    else
         return -1;
     return size;
 }
 
-static int mov_read_pitm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_pitm(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     avio_rb32(pb);  // version & flags.
     c->primary_item_id = avio_rb16(pb);
@@ -8870,15 +8922,15 @@ static int mov_read_pitm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return atom.size;
 }
 
-static int mov_read_idat(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_idat(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     c->idat_offset = avio_tell(pb);
     return 0;
 }
 
-static int mov_read_iloc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_iloc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    HEIFItem **heif_item;
+    HEIFItem** heif_item;
     int version, offset_size, length_size, base_offset_size, index_size;
     int item_count, extent_count;
     int64_t base_offset, extent_offset, extent_length;
@@ -8910,12 +8962,12 @@ static int mov_read_iloc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     c->heif_item = heif_item;
     if (item_count > c->nb_heif_item)
         memset(&c->heif_item[c->nb_heif_item], 0,
-               sizeof(*c->heif_item) * (item_count - c->nb_heif_item));
+            sizeof(*c->heif_item) * (item_count - c->nb_heif_item));
     c->nb_heif_item = FFMAX(c->nb_heif_item, item_count);
 
     av_log(c->fc, AV_LOG_TRACE, "iloc: item_count %d\n", item_count);
     for (int i = 0; i < item_count; i++) {
-        HEIFItem *item = NULL;
+        HEIFItem* item = NULL;
         int item_id = (version < 2) ? avio_rb16(pb) : avio_rb32(pb);
         int offset_type = (version > 0) ? avio_rb16(pb) & 0xf : 0;
 
